%define upstream_name    Array-IntSpan
%define upstream_version 2.004

Name:           perl-Array-IntSpan
Version:        %perl_convert_version %{upstream_version}
Release:        %mkrel 2
Summary:        Handles arrays of scalars or objects using integer ranges
License:        Artistic-2.0
Group:          Development/Perl
URL:            https://metacpan.org/release/Array-IntSpan
Source0:        https://cpan.metacpan.org/authors/id/D/DD/DDUMONT/%{upstream_name}-%{upstream_version}.tar.gz
BuildArch:      noarch

BuildRequires:  make
BuildRequires:  perl(Carp)
BuildRequires:  perl(Exporter) >= 5.57
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.76
BuildRequires:  perl(Data::Dumper)
BuildRequires:  perl(ExtUtils::testlib)
BuildRequires:  perl(overload)
BuildRequires:  perl(strict)
BuildRequires:  perl(Test::More)
BuildRequires:  perl(vars)
BuildRequires:  perl(warnings)



%description
Array::IntSpan brings the speed advantages of Set::IntSpan to arrays. Uses
include manipulating grades, routing tables, or any other situation where you
have mutually exclusive ranges of integers that map to given values.


%prep
%autosetup -p1 -n %{upstream_name}-%{upstream_version}


%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1 NO_PERLLOCAL=1
%make_build


%install
%make_install
%{_fixperms} %{buildroot}/*


%check
make test


%files
%doc README
%license LICENSE
%{perl_vendorlib}/*
%{_mandir}/man3/Array::IntSpan*.*


%changelog
* Sun Jun 29 2025 umeabot <umeabot> 2.4.0-2.mga10
+ Revision: 2228514
- Mageia 10 Mass Rebuild

* Thu Oct 03 2024 daviddavid <daviddavid> 2.4.0-1.mga10
+ Revision: 2102815
- imported package perl-Array-IntSpan

